---
updatedAt: 2025-06-11T00:23:23.000Z
agentTools:
  projectIndex: https://developer.lifen.fr/llms.txt
---

# Search healthcare structure

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "lifen-fhir-api",
    "version": "3"
  },
  "servers": [
    {
      "url": "https://api.lifen.fr/fhir"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v3/Organization/$search-for-mss": {
      "post": {
        "summary": "Search healthcare structure",
        "description": "",
        "operationId": "search-healthcare-structure",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/x-www-form-urlencoded"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string",
                    "description": "name of the structure"
                  },
                  "identifier": {
                    "type": "string",
                    "description": "FINESS of the healthcare structure"
                  },
                  "telecom": {
                    "type": "string",
                    "description": "address mssante of the healthcare structure"
                  },
                  "address": {
                    "type": "string",
                    "description": "part of the address of the healthcare structure"
                  },
                  "part-of": {
                    "type": "string",
                    "description": "FHIR Reference of the organization of which this organization forms a part"
                  },
                  "_id": {
                    "type": "string",
                    "description": "multivalued supported"
                  },
                  "_count": {
                    "type": "string",
                    "description": "max: 100 (0 forbidden)"
                  },
                  "_sort": {
                    "type": "string"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n\t\"resourceType\": \"Bundle\",\n\t\"id\": \"aff6fcd5-76fb-40eb-bfb0-64fde9a0678c\",\n\t\"type\": \"searchset\",\n\t\"total\": 451247,\n\t\"entry\": [\n\t\t{\n\t\t\t\"fullUrl\": \"https://fhir-api.private.staging.lifen.fr/fhir/dstu3/Organization/[id]\",\n\t\t\t\"resource\": {\n        \"resourceType\": \"Organization\",\n        \"id\": \"996644\",\n        \"name\": \"CH TEST\",\n        \"telecom\": [\n\t\t\t\t\t{\n\t\t\t\t\t\t\"id\": \"6673280\",\n\t\t\t\t\t\t\"system\": \"email\",\n\t\t\t\t\t\t\"value\": \"mail1@mssante.fr\",\n\t\t\t\t\t\t\"use\": \"work\"\n\t\t\t\t\t},\n\t\t\t\t\t{\n\t\t\t\t\t\t\"id\": \"6673280\",\n\t\t\t\t\t\t\"system\": \"email\",\n\t\t\t\t\t\t\"value\": \"mail2@mssante.fr\",\n\t\t\t\t\t\t\"use\": \"work\",\n\t\t\t\t\t\t\"rank\": 1 \n\t\t\t\t\t}\n\t\t\t\t],\n        \"address\": [\n          {\n            \"id\": \"3157415241441669992\",\n            \"line\": [\n              \"CH TEST\",\n              \"124 Rue TEST\",\n              \"75000 Paris\"\n            ],\n            \"city\": \"Paris\",\n            \"postalCode\": \"75000\"\n          }\n        ]\n      },\n\t\t\t\"search\": {\n\t\t\t\t\"mode\": \"match\"\n\t\t\t}\n\t\t}\n]}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "resourceType": {
                      "type": "string",
                      "example": "Bundle"
                    },
                    "id": {
                      "type": "string",
                      "example": "aff6fcd5-76fb-40eb-bfb0-64fde9a0678c"
                    },
                    "type": {
                      "type": "string",
                      "example": "searchset"
                    },
                    "total": {
                      "type": "integer",
                      "example": 451247,
                      "default": 0
                    },
                    "entry": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "fullUrl": {
                            "type": "string",
                            "example": "https://fhir-api.private.staging.lifen.fr/fhir/dstu3/Organization/[id]"
                          },
                          "resource": {
                            "type": "object",
                            "properties": {
                              "resourceType": {
                                "type": "string",
                                "example": "Organization"
                              },
                              "id": {
                                "type": "string",
                                "example": "996644"
                              },
                              "name": {
                                "type": "string",
                                "example": "CH TEST"
                              },
                              "telecom": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "example": "6673280"
                                    },
                                    "system": {
                                      "type": "string",
                                      "example": "email"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "mail1@mssante.fr"
                                    },
                                    "use": {
                                      "type": "string",
                                      "example": "work"
                                    }
                                  }
                                }
                              },
                              "address": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "example": "3157415241441669992"
                                    },
                                    "line": {
                                      "type": "array",
                                      "items": {
                                        "type": "string",
                                        "example": "CH TEST"
                                      }
                                    },
                                    "city": {
                                      "type": "string",
                                      "example": "Paris"
                                    },
                                    "postalCode": {
                                      "type": "string",
                                      "example": "75000"
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "search": {
                            "type": "object",
                            "properties": {
                              "mode": {
                                "type": "string",
                                "example": "match"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "422",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"resourceType\": \"OperationOutcome\",\n    \"issue\": [\n        {\n            \"severity\": \"ERROR\",\n            \"code\": \"PROCESSING\",\n            \"diagnostics\": \"At least one of family, given, name, birthdate, phone or identifier fields must be filled\",\n            \"location\": \"allValueNull\"\n        },\n        {\n            \"severity\": \"ERROR\",\n            \"code\": \"PROCESSING\",\n            \"diagnostics\": \"Invalid parameter XXXX\",\n            \"location\": \"XXXXX\"\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "resourceType": {
                      "type": "string",
                      "example": "OperationOutcome"
                    },
                    "issue": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "severity": {
                            "type": "string",
                            "example": "ERROR"
                          },
                          "code": {
                            "type": "string",
                            "example": "PROCESSING"
                          },
                          "diagnostics": {
                            "type": "string",
                            "example": "At least one of family, given, name, birthdate, phone or identifier fields must be filled"
                          },
                          "location": {
                            "type": "string",
                            "example": "allValueNull"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request POST \\\n  --url https://fhir-api.private.lifen.fr/fhir/v3/Practitioner/_search \\\n  --header 'Authorization: Bearer xxxxx' \\\n  --header 'Content-Type: application/x-www-form-urlencoded' \\\n  --data 'name=CH Angers'  "
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```